import request from '@/utils/request'

// 查询用户端菜单管理列表
export function listMenu(query) {
  return request({
    url: '/store/menu/list',
    method: 'get',
    params: query
  })
}

// 查询用户端菜单管理详细
export function getMenu(menuId) {
  return request({
    url: '/store/menu/' + menuId,
    method: 'get'
  })
}

// 新增用户端菜单管理
export function addMenu(data) {
  return request({
    url: '/store/menu',
    method: 'post',
    data: data
  })
}

// 修改用户端菜单管理
export function updateMenu(data) {
  return request({
    url: '/store/menu',
    method: 'put',
    data: data
  })
}

// 删除用户端菜单管理
export function delMenu(menuId) {
  return request({
    url: '/store/menu/' + menuId,
    method: 'delete'
  })
}

// 导出用户端菜单管理
export function exportMenu(query) {
  return request({
    url: '/store/menu/export',
    method: 'get',
    params: query
  })
}